curl --request POST \
--url https://public-api.stora.co/2025-09/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Task with minimal params"
}
'{
"task": {
"id": "task_a1b2c3d4e5f67890",
"assignee": {
"id": "staff_06778802edebb94d"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "app_531844f4c4837d61"
},
"description": "Task for a contact resource",
"due_at": "2025-02-27T14:41:00Z",
"metadata": {
"source": "api",
"external_id": "ext_123"
},
"resource": {
"id": "con_1234567890abcdef"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "Contact Task",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "object at root is missing required properties: title",
"pointer": null
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Tasks
Create a Task
Create a new task.
Required authorization scope: public.task:write
POST
/
2025-09
/
tasks
curl --request POST \
--url https://public-api.stora.co/2025-09/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Task with minimal params"
}
'{
"task": {
"id": "task_a1b2c3d4e5f67890",
"assignee": {
"id": "staff_06778802edebb94d"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "app_531844f4c4837d61"
},
"description": "Task for a contact resource",
"due_at": "2025-02-27T14:41:00Z",
"metadata": {
"source": "api",
"external_id": "ext_123"
},
"resource": {
"id": "con_1234567890abcdef"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "Contact Task",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "object at root is missing required properties: title",
"pointer": null
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Authorizations
BearerOAuth2
Bearer Token necessary to use API
Body
application/json
Create Task Request
The title of the task
Optional description for the task
The due date and time for the task
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the task. Learn more about metadata.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?